Index: console/src/main/org/jboss/console/navtree/AppletBrowser.java
===================================================================
--- console/src/main/org/jboss/console/navtree/AppletBrowser.java	(revision 73826)
+++ console/src/main/org/jboss/console/navtree/AppletBrowser.java	(working copy)
@@ -22,15 +22,19 @@
 package org.jboss.console.navtree;
 
 import java.net.URL;
+import java.util.Locale;
 import java.util.Properties;
 
-import javax.swing.*;
+import javax.swing.JApplet;
+import javax.swing.JFrame;
 
+import org.jboss.console.I18n;
 import org.jboss.console.manager.interfaces.SimpleTreeNodeMenuEntry;
 import org.jboss.console.manager.interfaces.TreeAction;
 import org.jboss.console.manager.interfaces.impl.HttpLinkTreeAction;
 import org.jboss.console.remote.AppletRemoteMBeanInvoker;
 import org.jboss.console.remote.SimpleRemoteMBeanInvoker;
+import org.jboss.varia.i18n.I18nUtil;
 
 /**
  * AdminTreeBrowser container for applets
@@ -45,7 +49,7 @@
    AdminTreeBrowser treeBrowser = null;   
    AppletAdminContext ctx = null;   
    
-   public static final String RIGHT_FRAME_NAME = "right";
+   public static final String RIGHT_FRAME_NAME = "right"; //$NON-NLS-1$
    protected String sessionId = null;
    protected String pmJmxName = null;
    
@@ -59,15 +63,10 @@
       try
       {
          ctx = new AppletAdminContext ();
-         
          initAppletParams();
-         
          treeBrowser = new AdminTreeBrowser (ctx);
-         
          initComponents ();
-         
          initRefreshThread ();
-         
       }
       catch (Exception e)
       {
@@ -82,15 +81,23 @@
    
    protected void initAppletParams()
    {
-      sessionId = getParameter("SessionId");
+      sessionId = getParameter("SessionId"); //$NON-NLS-1$
       if (sessionId != null)
-         sessionId = "jsessionid=" + sessionId;
+         sessionId = "jsessionid=" + sessionId; //$NON-NLS-1$
       else
-         sessionId = "";
+         sessionId = ""; //$NON-NLS-1$
 
-      this.pmJmxName = getParameter("PMJMXName");
+      this.pmJmxName = getParameter("PMJMXName"); //$NON-NLS-1$
       if( pmJmxName == null )
-         pmJmxName = "jboss.admin:service=PluginManager";
+         pmJmxName = "jboss.admin:service=PluginManager"; //$NON-NLS-1$
+      
+      String localeName = getParameter("locale"); //$NON-NLS-1$
+      if(localeName != null)
+      {
+         Locale locale = I18nUtil.toLocale(localeName);
+         setLocale(locale);
+         I18nUtil.setLocale(locale);
+      }
    }
 
    protected void initComponents()
@@ -109,8 +116,8 @@
    {
       try
       {         
-         String strRefreshSec = getParameter("RefreshTime");
-         if (strRefreshSec != null && !"".equals(strRefreshSec))
+         String strRefreshSec = getParameter("RefreshTime"); //$NON-NLS-1$
+         if (strRefreshSec != null && !"".equals(strRefreshSec)) //$NON-NLS-1$
          {
             final long refresh = Long.parseLong(strRefreshSec);
             Thread t = new Thread ( new Runnable()
@@ -152,7 +159,7 @@
    {
       JApplet applet = new AppletBrowser();
       applet.setStub(new MainAppletStub());
-      JFrame frame = new JFrame("Administration Console");
+      JFrame frame = new JFrame(I18n.gettext("Administration Console")); //$NON-NLS-1$
       frame.getContentPane().add(applet);
       frame.setSize(600, 500);
       frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
@@ -173,14 +180,14 @@
       {
          //webHost = getCodeBase ().toString ();   
          java.net.URL root = getCodeBase();                        
-         webHost = root.getProtocol() + ":";
+         webHost = root.getProtocol() + ":"; //$NON-NLS-1$
          if (root.getAuthority() != null && root.getAuthority().length() > 0) {
-            webHost+="//";
+            webHost+="//"; //$NON-NLS-1$
             webHost+=root.getAuthority();
          }       
          
-         if (!webHost.endsWith ("/"))
-            webHost = webHost + "/";
+         if (!webHost.endsWith ("/")) //$NON-NLS-1$
+            webHost = webHost + "/"; //$NON-NLS-1$
             
          hostname = getCodeBase ().getHost ();
       }
@@ -192,7 +199,7 @@
             System.out.println (getCodeBase().toString() + "Invoker");
             try
             {
-               invoker = new AppletRemoteMBeanInvoker (getCodeBase().toString() + "Invoker");
+               invoker = new AppletRemoteMBeanInvoker (getCodeBase().toString() + "Invoker"); //$NON-NLS-1$
             }
             catch (Exception displayed)
             {
@@ -231,9 +238,9 @@
       public java.util.Properties getJndiProperties ()
       {
          Properties props = new Properties (); // to be improved? (to read from Applet properties and pass as parameter
-         props.setProperty ("java.naming.factory.initial", "org.jnp.interfaces.NamingContextFactory");
-         props.setProperty ("java.naming.factory.url.pkgs", "org.jboss.naming:org.jnp.interfaces");
-         props.setProperty ("java.naming.provider.url", hostname);
+         props.setProperty ("java.naming.factory.initial", "org.jnp.interfaces.NamingContextFactory"); //$NON-NLS-1$ //$NON-NLS-2$
+         props.setProperty ("java.naming.factory.url.pkgs", "org.jboss.naming:org.jnp.interfaces"); //$NON-NLS-1$ //$NON-NLS-2$
+         props.setProperty ("java.naming.provider.url", hostname); //$NON-NLS-1$
          
          return props;
       }
@@ -267,16 +274,16 @@
          if (target == null)
             return null;
          
-         if (!target.toLowerCase ().startsWith ("http"))
+         if (!target.toLowerCase ().startsWith ("http")) //$NON-NLS-1$
          {
-            if (target.startsWith ("/"))
+            if (target.startsWith ("/")) //$NON-NLS-1$
                target = target.substring (1);
             target = webHost + target;
             
-            if (target.indexOf("?") >= 0)
-                target = target + "&" + sessionId;
+            if (target.indexOf("?") >= 0) //$NON-NLS-1$
+                target = target + "&" + sessionId; //$NON-NLS-1$
             else
-                target = target + ";" + sessionId;
+                target = target + ";" + sessionId; //$NON-NLS-1$
          }
          
          return target;
Index: console/src/main/org/jboss/console/manager/PluginManager.java
===================================================================
--- console/src/main/org/jboss/console/manager/PluginManager.java	(revision 73826)
+++ console/src/main/org/jboss/console/manager/PluginManager.java	(working copy)
@@ -33,6 +33,7 @@
 import javax.management.ObjectName;
 import javax.naming.InitialContext;
 
+import org.jboss.console.I18n;
 import org.jboss.console.manager.interfaces.ConsolePlugin;
 import org.jboss.console.manager.interfaces.ManageableResource;
 import org.jboss.console.manager.interfaces.ResourceTreeNode;
@@ -68,13 +69,13 @@
    protected ArrayList plugins = new ArrayList ();
    protected ManageableResource bootstrapResource = null;
 
-   public String jndiName = "console/PluginManager";
+   public String jndiName = "console/PluginManager"; //$NON-NLS-1$
 
    protected long treeVersion = 0;
    protected HashMap currentTrees = new HashMap();
 
-   protected String mainLogoUrl = "/web-console/images/jboss.gif";
-   protected String mainLinkUrl = "http://www.jboss.org/forums/";
+   protected String mainLogoUrl = "/web-console/images/jboss.gif"; //$NON-NLS-1$
+   protected String mainLinkUrl = "http://www.jboss.org/forums/"; //$NON-NLS-1$
    protected boolean enableShutdown = true;
 
    // Static --------------------------------------------------------
@@ -214,8 +215,8 @@
          {
             TreeNodeMenuEntry[] base = new TreeNodeMenuEntry[]
             {
-               new SimpleTreeNodeMenuEntryImpl ("Update tree", new RefreshTreeAction (false)),
-               new SimpleTreeNodeMenuEntryImpl ("Force update tree", new RefreshTreeAction (true)),
+               new SimpleTreeNodeMenuEntryImpl (I18n.gettext("Update tree"), new RefreshTreeAction (false)), //$NON-NLS-1$
+               new SimpleTreeNodeMenuEntryImpl (I18n.gettext("Force update tree"), new RefreshTreeAction (true)), //$NON-NLS-1$
             };
 
             if (enableShutdown)
@@ -225,19 +226,19 @@
                      base[0],
                      base[1],
                      new SeparatorTreeNodeMenuEntry (),
-                     new SimpleTreeNodeMenuEntryImpl ("Shutdown JBoss instance",
-                        new MBeanAction (new ObjectName("jboss.system:type=Server"),
-                                          "shutdown", new Object[0], new String[0])
+					 new SimpleTreeNodeMenuEntryImpl (I18n.gettext("Shutdown JBoss instance"), //$NON-NLS-1$
+                        new MBeanAction (new ObjectName("jboss.system:type=Server"), //$NON-NLS-1$
+                                          "shutdown", new Object[0], new String[0]) //$NON-NLS-1$
                      ),
-                     new SimpleTreeNodeMenuEntryImpl ("Shutdown and Restart JBoss instance",
-                        new MBeanAction (new ObjectName("jboss.system:type=Server"),
-                                          "exit", new Object[] {new Integer (10)},
-                                          new String[] {"int"})
+					 new SimpleTreeNodeMenuEntryImpl (I18n.gettext("Shutdown and Restart JBoss instance"), //$NON-NLS-1$
+                        new MBeanAction (new ObjectName("jboss.system:type=Server"), //$NON-NLS-1$
+                                          "exit", new Object[] {new Integer (10)}, //$NON-NLS-1$
+                                          new String[] {"int"}) //$NON-NLS-1$
                      ),
-                     new SimpleTreeNodeMenuEntryImpl ("HALT and Restart JBoss instance",
-                        new MBeanAction (new ObjectName("jboss.system:type=Server"),
-                                          "halt", new Object[] {new Integer (10)},
-                                          new String[] {"int"})
+					 new SimpleTreeNodeMenuEntryImpl (I18n.gettext("HALT and Restart JBoss instance"), //$NON-NLS-1$
+                        new MBeanAction (new ObjectName("jboss.system:type=Server"), //$NON-NLS-1$
+                                          "halt", new Object[] {new Integer (10)}, //$NON-NLS-1$
+                                          new String[] {"int"}) //$NON-NLS-1$
                      )
                   }
                );
@@ -470,14 +471,14 @@
    protected void initNotificationReception () throws Exception
    {
       ObjectName mbsDelegate =
-         new ObjectName ("JMImplementation:type=MBeanServerDelegate");
+         new ObjectName ("JMImplementation:type=MBeanServerDelegate"); //$NON-NLS-1$
 
       NotificationFilter filter = new NotificationFilter ()
       {
          public boolean isNotificationEnabled (Notification n)
          {
-            return ( n.getType().equals("JMX.mbean.registered") ||
-                      n.getType().equals("JMX.mbean.unregistered") );
+            return ( n.getType().equals("JMX.mbean.registered") || //$NON-NLS-1$
+                      n.getType().equals("JMX.mbean.unregistered") ); //$NON-NLS-1$
          }
       };
 
Index: console/src/main/org/jboss/console/remote/InvokerServlet.java
===================================================================
--- console/src/main/org/jboss/console/remote/InvokerServlet.java	(revision 73826)
+++ console/src/main/org/jboss/console/remote/InvokerServlet.java	(working copy)
@@ -23,7 +23,9 @@
 
 import javax.servlet.ServletException;
 
+import org.jboss.console.I18n;
 
+
 /** This servlet accepts a post containing a MarshalledInvocation, extracts
  * the Invocation object, and then routes the invocation via JMX to either:
  * 1. the MBean specified via the invokerName ini parameter
@@ -43,10 +45,10 @@
    private static org.jboss.logging.Logger log = org.jboss.logging.Logger.getLogger (InvokerServlet.class);
    /** A serialized MarshalledInvocation */
    private static String REQUEST_CONTENT_TYPE =
-   "application/x-java-serialized-object; class=org.jboss.console.remote.RemoteMBeanInvocation";
+   "application/x-java-serialized-object; class=org.jboss.console.remote.RemoteMBeanInvocation"; //$NON-NLS-1$
    /** A serialized MarshalledValue */
    private static String RESPONSE_CONTENT_TYPE =
-   "application/x-java-serialized-object; class=org.jboss.invocation.MarshalledValue";
+   "application/x-java-serialized-object; class=org.jboss.invocation.MarshalledValue"; //$NON-NLS-1$
    private javax.management.MBeanServer mbeanServer;
    
    /** Initializes the servlet.
@@ -79,15 +81,15 @@
       boolean trace = log.isTraceEnabled ();
       if( trace )
       {
-         log.trace ("processRequest, ContentLength: "+request.getContentLength ());
-         log.trace ("processRequest, ContentType: "+request.getContentType ());
+         log.trace ("processRequest, ContentLength: "+request.getContentLength ()); //$NON-NLS-1$
+         log.trace ("processRequest, ContentType: "+request.getContentType ()); //$NON-NLS-1$
       }
       
       try
       {
          response.setContentType (RESPONSE_CONTENT_TYPE);
          // See if the request already has the MarshalledInvocation
-         Object mi = request.getAttribute ("RemoteMBeanInvocation");
+         Object mi = request.getAttribute ("RemoteMBeanInvocation"); //$NON-NLS-1$
          if( mi == null )
          {
             // Get the invocation from the post
@@ -119,7 +121,7 @@
       {
          t = org.jboss.mx.util.JMXExceptionDecoder.decode (t);
          org.jboss.invocation.InvocationException appException = new org.jboss.invocation.InvocationException (t);
-         log.debug ("Invoke threw exception", t);
+         log.debug ("Invoke threw exception", t); //$NON-NLS-1$
          // Marshall the exception
          response.resetBuffer ();
          org.jboss.invocation.MarshalledValue mv = new org.jboss.invocation.MarshalledValue (appException);
@@ -152,7 +154,7 @@
     */
    public String getServletInfo ()
    {
-      return "An HTTP to JMX MBeanServer servlet";
+      return I18n.gettext("An HTTP to JMX MBeanServer servlet"); //$NON-NLS-1$
    }
    
 }

Index: console/src/resources/webconsole.war/Servlet.jsp
===================================================================
--- console/src/resources/webconsole.war/Servlet.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/Servlet.jsp	(working copy)
@@ -18,13 +18,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Servlet</title>
+<title>${messages["JBoss Management Console - Servlet"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -34,28 +34,28 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3>Servlet</h3>
-				<h4>Name</h4>
+			<h3>${messages["Servlet"]}</h3>
+				<h4>${messages["Name"]}</h4>
 					<p><%=new ObjectName(servlet.getobjectName()).getKeyProperty("name")%> </p>
-				<h4>Servlet Statistics:</h4>
+				<h4>${messages["Servlet Statistics:"]}</h4>
 					<p>&nbsp;</p>
 
 				<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td align="center">
-                    <h4 style="text-align: center">Min (ms)</h4>
+                    <h4 style="text-align: center">${messages["Min (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Max (ms)</h4>
+                    <h4 style="text-align: center">${messages["Max (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Average (ms)</h4>
+                    <h4 style="text-align: center">${messages["Average (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Total (ms)</h4>
+                    <h4 style="text-align: center">${messages["Total (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center"># Invocations</h4>
+                    <h4 style="text-align: center">${messages["# Invocations"]}</h4>
                     </td>
                   </tr>
 				<%
@@ -81,7 +81,7 @@
                     </td>
                   </tr>
             </table>
-            <p align="center"><a href="<%=resetUrl%>">Reset Stats</a> / <a href="<%=myUrl%>">Refresh Stats</a></p>
+            <p align="center"><a href="<%=resetUrl%>">${messages["Reset Stats"]}</a> / <a href="<%=myUrl%>">${messages["Refresh Stats"]}</a></p>
 					<p>&nbsp;</p>
 			<p>&nbsp;</p>
 
@@ -94,7 +94,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/AOPFieldMetaData.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPFieldMetaData.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPFieldMetaData.jsp	(working copy)
@@ -10,14 +10,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar"> 
@@ -34,6 +33,6 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%">
-			<h3>Metadata for field <%=field%></h3>
+			<h3>${messages["Metadata for field {0}"][param.field]}</h3>
 	    <p>&nbsp;</p>
 <%@ include file="AOPMetaData.jsp" %>
Index: console/src/resources/webconsole.war/AOPDefaultMetaData.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPDefaultMetaData.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPDefaultMetaData.jsp	(working copy)
@@ -10,14 +10,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar"> 
@@ -33,6 +32,6 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%">
-			<h3><%=classname%> Default MetaData </h3>
+			<h3><%=classname%> ${messages["Default MetaData"]} </h3>
 	    <p>&nbsp;</p>
 <%@ include file="AOPMetaData.jsp" %>
Index: console/src/resources/webconsole.war/StatelessEjb.jsp
===================================================================
--- console/src/resources/webconsole.war/StatelessEjb.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/StatelessEjb.jsp	(working copy)
@@ -1,3 +1,4 @@
+<%@page import="org.jboss.console.I18n"%>
 <%@ taglib uri="/webconsole" prefix="jb" %>
 <jb:mbean id="ejb" intf="org.jboss.management.j2ee.StatelessSessionBeanMBean" />
 <jb:mbean id="container" mbean='<%="jboss.j2ee:service=EJB,jndiName=" + (new javax.management.ObjectName(request.getParameter("ObjectName")).getKeyProperty ("name"))%>' intf="org.jboss.ejb.ContainerMBean" />
@@ -33,22 +34,22 @@
 	String start = new java.util.Date(stat.getStartTime ()).toString ();
 	String lastSample = new java.util.Date(stat.getLastSampleTime ()).toString ();
 	
-	String result = "<tr><td width=\"25%\"><font size=\"1\">" + stat.getName() + " (unit: " + stat.getUnit () + ")</font></td>" +
-	                "<td width=\"25%\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\"><tr>";
+	String result = "<tr><td width=\"25%\"><font size=\"1\">" + stat.getName() + " ("+I18n.gettext("unit: ") + stat.getUnit () + ")</font></td>" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+	                "<td width=\"25%\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\"><tr>"; //$NON-NLS-1$
 	                
 	if (stat instanceof javax.management.j2ee.statistics.CountStatistic)
 	{
-		result+= "<td width=\"33%\" align=\"center\"><font size=\"1\">" + ((javax.management.j2ee.statistics.CountStatistic)stat).getCount() + "</font></td><td width=\"33%\"></td><td width=\"34%\"></td>";
-    }
+		result += "<td width=\"33%\" align=\"center\"><font size=\"1\">" + ((javax.management.j2ee.statistics.CountStatistic)stat).getCount() + "</font></td><td width=\"33%\"></td><td width=\"34%\"></td>"; //$NON-NLS-1$ //$NON-NLS-2$
+   }
 	else if (stat instanceof javax.management.j2ee.statistics.RangeStatistic)
 	{
 		javax.management.j2ee.statistics.RangeStatistic rStat = (javax.management.j2ee.statistics.RangeStatistic)stat;
 		
-		result+= "<td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getCurrent ()  + "</font></td><td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getLowWaterMark () + "</font></td>" +
-				 "<td width=\"34%\" align=\"center\"><font size=\"1\">" + rStat.getHighWaterMark() + "</font></td>";
+		result += "<td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getCurrent ()  + "</font></td><td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getLowWaterMark () + "</font></td>" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				    "<td width=\"34%\" align=\"center\"><font size=\"1\">" + rStat.getHighWaterMark() + "</font></td>"; //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
-	result+= "</tr></table></td><td width=\"25%\"><font size=\"1\">" + start + "</font></td><td width=\"25%\"><font size=\"1\">" + lastSample + "</font>&nbsp;</td></tr>";
+	result += "</tr></table></td><td width=\"25%\"><font size=\"1\">" + start + "</font></td><td width=\"25%\"><font size=\"1\">" + lastSample + "</font>&nbsp;</td></tr>"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	
 	return result;
 
@@ -58,13 +59,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Stateless Session Bean</title>
+<title>${messages["JBoss Management Console - Stateless Session Bean"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -74,12 +75,12 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 831; height: 247">
-			<h3>Stateless Session Bean</h3>
-				<h4>Name</h4>
-					<p><%=beanMetaData.getEjbName()%> (JNDI: <%=ejbName%>)</p>
-				<h4>EJB Module</h4>
+			<h3>${messages["Stateless Session Bean"]}</h3>
+				<h4>${messages["Name"]}</h4>
+					<p><%=beanMetaData.getEjbName()%> (${messages["JNDI: "]}<%=ejbName%>)</p>
+				<h4>${messages["EJB Module"]}</h4>
 					<p><%=ejbModule %></p>
-				<h4>Bean Statistics:</h4>
+				<h4>${messages["Bean Statistics:"]}</h4>
 					<p>&nbsp;</p>
 <%
 if (ejb.isstatisticsProvider())
@@ -88,29 +89,29 @@
 				<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Name</h4>
+                    <h4 style="text-align: center">${messages["Name"]}</h4>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Value</h4>
+                    <h4 style="text-align: center">${messages["Value"]}</h4>
                     <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber3">
                       <tr>
                         <td width="33%">
-                        <h4 style="text-align: center">Current</h4>
+                        <h4 style="text-align: center">${messages["Current"]}</h4>
                         </td>
                         <td width="33%">
-                        <h4 style="text-align: center">Low</h4>
+                        <h4 style="text-align: center">${messages["Low"]}</h4>
                         </td>
                         <td width="34%">
-                        <h4 style="text-align: center">High</h4>
+                        <h4 style="text-align: center">${messages["High"]}</h4>
                         </td>
                       </tr>
                     </table>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Start Time</h4>
+                    <h4 style="text-align: center">${messages["Start Time"]}</h4>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Last Sample Time</h4>
+                    <h4 style="text-align: center">${messages["Last Sample Time"]}</h4>
                     </td>
                   </tr>
 	<%
@@ -121,19 +122,19 @@
 	<%=addStatRow (stats.getRemoveCount ()) %>
 
             </table>
-            <p align="center"><a href="<%=resetUrl%>">Reset Stats</a> / <a href="<%=myUrl%>">Refresh Stats</a></p>
+            <p align="center"><a href="<%=resetUrl%>">${messages["Reset Stats"]}</a> / <a href="<%=myUrl%>">${messages["Refresh Stats"]}</a></p>
 <%
 }
 else
 {
 %>				
-					<p>none.</p>
+					<p>${messages["none."]}</p>
 <%
 }
 %>				
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
-				<h4>Invocation Statistics:</h4>
+				<h4>${messages["Invocation Statistics:"]}</h4>
 					<p>&nbsp;</p>
 <%
 	java.util.Iterator iterInvoc = invokeStats.getStats().entrySet().iterator();
@@ -145,22 +146,22 @@
 				<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td  align="center">
-                    <h4 style="text-align: center">Method name</h4>
+                    <h4 style="text-align: center">${messages["Method name"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Min (ms)</h4>
+                    <h4 style="text-align: center">${messages["Min (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Max (ms)</h4>
+                    <h4 style="text-align: center">${messages["Max (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Average (ms)</h4>
+                    <h4 style="text-align: center">${messages["Average (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Total (ms)</h4>
+                    <h4 style="text-align: center">${messages["Total (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center"># Invocations</h4>
+                    <h4 style="text-align: center">${messages["# Invocations"]}</h4>
                     </td>
                   </tr>
 				<%
@@ -194,23 +195,23 @@
                   }
                   %>
             </table>
-            <p align="center"><a href="<%=resetInvocUrl%>">Reset Stats</a> / <a href="<%=myUrl%>">Refresh Stats</a></p>
+            <p align="center"><a href="<%=resetInvocUrl%>">${messages["Reset Stats"]}</a> / <a href="<%=myUrl%>">${messages["Refresh Stats"]}</a></p>
 <%
 	}
 	else
 	{
 %>	 
-					<p>none.</p>
+					<p>${messages["none."]}</p>
 <%
 	}
 %>
 
 					<p>&nbsp;</p>
-               <p>Actual concurrent invocations: <%=invokeStats.concurrentCalls%> (max: <%=invokeStats.maxConcurrentCalls%>)</p>
+               <p>${messages["Actual concurrent invocations: "]}<%=invokeStats.concurrentCalls%> (max: ${messages["max: "]}<%=invokeStats.maxConcurrentCalls%>)</p>
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
-					<p><a href="<%=containerUrl%>">View associated container MBean</a></p>
+					<p><a href="<%=containerUrl%>">${messages["View associated container MBean"]}</a></p>
 		</div>
 		<div class="spacer"><hr/></div>
 	</div>
@@ -220,7 +221,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
